## com.google.appengine.api.datastore
Class EntityNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.appengine.api.datastore.EntityNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class EntityNotFoundException

extends java.lang.Exception

`EntityNotFoundException` is thrown when no `Entity` with the specified `Key` could be found.

See Also:
  Serialized Form

Constructor Summary
`EntityNotFoundException(Key key)`

Method Summary
`Key` `getKey()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityNotFoundException

    public EntityNotFoundException(Key key)

Method Detail

### getKey

    public Key getKey()